/*--- rc5decode.h ---*/

#ifndef RC5DECODE
#define RC5DECODE 

/*--- Function prototype ---*/

unsigned char rc5Decode(void);

/*---- globals ---*/

extern unsigned char command; /* rc5 command code */
extern unsigned char address; /* rc5 system address */
extern unsigned char rc5valid; /* valid rc5 data flag */

#endif

/*--- Macros ---*/

#define IR_IN _PORTA,2 /* Infra Red input pin */
#define TMR _TMR0 /* Pulse timer */

/*--- rc5 infra red codes ---*/

#define SYSTEM_ADD 0x10 /* System address */

#define RC5_VOL_UP 0x10 /* VOL+ */
#define RC5_VOL_DOWN 0x11 /* VOL- */
#define RC5_LINEAR_FUNCTION_UP 0x4D /* LINEAR FUNCTION + */
#define RC5_LINEAR_FUNCTION_DWN 0x02 /* LINEAR FUNCION - */
#define RC5_NEMERIC_KEY_0 0x00 /* CNUMERIC KEY 0 */
#define RC5_NUMERIC_KEY_1 0x01 /* NUMERIC KEY 1 */
#define RC5_NUMERIC_KEY_2 0x02 /* AUX1 */
#define RC5_STANDBY 0x09 /* STANDBY */
#define RC5_MUTE 0x0D /* MUTE */


/*--- End of file ---*/

